commit e0694937b57d4d27978d4866298b98410d9c68e8
Author: freddy77 <freddy77>
Date:   Fri Feb 15 11:00:40 2008 +0000

    fix an ABI problem under HP-UX

diff --git a/ChangeLog b/ChangeLog
index bd126d0..2dec974 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Feb 15 11:53:41 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac: fix nasty problem with HP-UX
+
 Wed Feb 13 09:50:35 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/bsqlodbc.c: fix memory error
 	* src/tds/query.c: remove possible buffer underflow
@@ -163,4 +166,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2488 2008/02/13 08:52:08 freddy77 Exp $
+$Id: ChangeLog,v 1.2489 2008/02/15 11:00:40 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 77740fc..26bf18f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.33 2008/01/20 14:23:58 freddy77 Exp $
+dnl $Id: configure.ac,v 1.34 2008/02/15 11:00:40 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.33 $)
+AC_REVISION($Revision: 1.34 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -47,7 +47,6 @@ case $host in
     netdb_reentrant=yes
     ;;
   *-*-hpux11*)
-    CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
     netdb_reentrant=yes
     ;;
   *-*-cygwin*)
@@ -151,6 +150,27 @@ case $host in
 	fi
 	AM_CONDITIONAL(MINGW32, true)
 	;;
+*-*-hpux*)
+	# these lines are needed to fix a problem for HP-UX
+	# HP-UX define two versions of sockets, one BSD and one X/Open
+	# these versions are not binary compatible (BSD use int where X/Open 
+	# use socklen_t == size_t) and different libraries (BSD in libc and
+	# X/Open in libxnet). X/Open is used if _XOPEN_SOURCE and 
+	# _XOPEN_SOURCE_EXTENDED are defined. To complicate the things gcc
+	# by default define _XOPEN_SOURCE_EXTENDED so define always both
+	# constants and link always libxnet!
+	CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED"
+	LIBS="$LIBS -lxnet"
+	AC_SEARCH_LIBS(gethostbyname, nsl)
+	if test "$enable_krb5" = "yes" ; then
+		AC_SEARCH_LIBS(gss_init_sec_context, [gssapi_krb5 gssapi])
+		if test "$ac_cv_search_gss_init_sec_context" != no; then
+			AC_DEFINE(ENABLE_KRB5, 1, [Defined if --enable-krb5 used and library detected])
+		fi
+	fi
+
+	AM_CONDITIONAL(MINGW32, false)
+	;;
 *)
 	AC_SEARCH_LIBS(socket, socket)
 	AC_SEARCH_LIBS(gethostbyname, nsl)

